package eu.mhsl.minenet.minigames.instance.game.stateless.types.backrooms;

import eu.mhsl.minenet.minigames.instance.Dimension;
import eu.mhsl.minenet.minigames.instance.game.stateless.StatelessGame;
import eu.mhsl.minenet.minigames.score.NoScore;
import net.minestom.server.event.player.PlayerBlockBreakEvent;
import org.jetbrains.annotations.NotNull;

public class Backrooms extends StatelessGame {
    public Backrooms() {
        super(Dimension.NETHER.key, "Backrooms", new NoScore());
        BackroomsGenerator generator = new BackroomsGenerator();
        setGenerator(unit -> generator.generateRoom(unit, 50));
    }

    @Override
    protected void onBlockBreak(@NotNull PlayerBlockBreakEvent playerBlockBreakEvent) {
        playerBlockBreakEvent.setCancelled(false);
    }
}
